Subject: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ]

From: [email-masked]
Date: Wed, 26 Apr 2023 13:50:36 -0700

Hello,

I built emacs from source on Saturday (latest HEAD version — 30.0.50), and I receive the following error pop up occasionally while using shell, and also randomly other activities (always upon opening a new window):

```
Warning (comp): tramp-loaddefs.el.gz:745:2478: Warning: reference to free variable ‘tramp-remote-path’
```

According to the docs, it is not necessary for `tramp-remote-path` to be set in usual cases, and I am not even using `tramp` when this error occurs. It seems to occur at random, and not always when I open eshell. It has once other time occurred when I connected to a remote using tramp, but only the once.

I used the native-comp and —without-pop flags when I built. I am on MacOS Ventura 13.3.1.

Best,
Emacs user